------------------------------------------------------------------------------------
--Name:  	juqing9
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-16
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(258, 218)
CppScriptMgr:SetViewScale(200)
local npc_0 = CppScriptMgr:AddSimplePlayer(102180, 258, 212, "", 0, 0)
npc_0:SetDir(0)
local monster_0 = CppScriptMgr:AddPlayer(952, 259, 223, "", 0, 0)
monster_0:SetDir(4)
local monster_1 = CppScriptMgr:AddPlayer(201, 263, 232, "", 0, 0)
monster_1:SetDir(4)
local monster_2 = CppScriptMgr:AddPlayer(201, 255, 226, "", 0, 0)
monster_2:SetDir(4)
local monster_3 = CppScriptMgr:AddPlayer(201, 266, 227, "", 0, 0)
monster_3:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetAction(101)
npc_0:Say("Let`s make the trial more interesting!", 2000)
CppScriptMgr:WaitMilSec(500)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233_coat02", 248, 220, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local monster_4 = CppScriptMgr:AddPlayer(201, 248, 220, "", 0, 0)
monster_4:SetDir(4)
CppScriptMgr:WaitMilSec(500)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233_coat02", 266, 223, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local monster_5 = CppScriptMgr:AddPlayer(201, 266, 223, "", 0, 0)
monster_5:SetDir(4)
CppScriptMgr:WaitMilSec(500)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233_coat02", 266, 234, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local monster_6 = CppScriptMgr:AddPlayer(201, 266, 234, "", 0, 0)
monster_6:SetDir(4)
CppScriptMgr:WaitMilSec(500)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233_coat02", 250, 224, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local monster_7 = CppScriptMgr:AddPlayer(201, 250, 224, "", 0, 0)
monster_7:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
npc_0:Say("Go! Face the true challenge!", 2000)
CppScriptMgr:WaitMilSec(3000)